require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();


SManager:AddMeal(MealType.STEAK, "steakZestyBBQ", true);
SManager:AddMeal(MealType.FISH, "fishGrilledSalmon", false);
SManager:AddMeal(MealType.CHICKEN, "chickenCordon", false);

SManager:AddCake(CakeType.AUDREY, "cake1White", false);
SManager:AddCake(CakeType.IRA, "cake2Buttercream", false);
SManager:AddCake(CakeType.BARBARA, "cake3Lemon", true);

SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMTahoe", false);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMBoulder", true);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMSwitzerland", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.MEAL, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");